# $Revision: 1.25 $, $Date: 2004/08/08 15:56:32 $
Summary:	wmmp3 - mpg123 frontend for the WindowMaker Dock
Summary(pl):	wmmp3 - nakadka na mpg123 dla Doku WindowMakera
Name:		wmmp3
Version:	0.12
Release:	1
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://dotfiles.com/software/wmmp3/%{name}-%{version}.tar.gz
# Source0-md5:	4bbc839c48cb13680f94b2fa133ca423
Source1:	%{name}.desktop
#Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-mpg123_path.patch
URL:		http://dotfiles.com/software/wmmp3/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	mpg123
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
wmmp3 is a frontend for the mpg123 mp3 player. It is an X11
application designed to work in the WindowMaker dock. All user options
are contained in a config file, $CONFIG_DIR/wmmp3 . There is a
sample.wmmp3 file in the package that can be used as an
example/template.

%description -l pl
wmmp3 jest nakadk dla odtwarzacza mp3 - mpg123, zaprojektowan do
pracy w Doku WindowMakera. Wszystkie opcje uytkownika s zawarte w
pliku $CONFIG_DIR/wmmp3. W pakiecie znajduje si plik sample.wmmp3,
mogcy posuy za przykad lub szablon do stworzenia wasnego pliku
konfiguracyjnego.

%prep
%setup -q
#%%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}/docklets

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO ChangeLog AUTHORS sample.wmmp3
%attr(755,root,root) %{_bindir}/wmmp3
%{_desktopdir}/docklets/wmmp3.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmmp3.spec,v $
Revision 1.25  2004/08/08 15:56:32  yogib
- updated to 0.12, switched to vfolders

Revision 1.24  2003/09/09 10:24:58  ankry
- spaces -> tab

Revision 1.23  2003/05/28 13:02:55  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:27:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/02/28 10:09:02  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.20  2003/01/18 22:57:42  juandon
- removed two lines with define

Revision 1.19  2002/11/30 23:00:30  juandon
- new %%doc

Revision 1.18  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/05/21 23:15:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:15:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/26 00:42:44  kloczek
- reorder in header.

Revision 1.12  2001/11/25 23:58:16  blues
- release 4
- desktop is out
- fixes in files

Revision 1.11  2001/10/10 13:23:37  qboosh
- adapterized, BuildRequires: autoconf,automake

Revision 1.10  2001/09/17 15:08:50  blues
- release 3
- ac2.5 ready

Revision 1.9  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.8  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.7  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.3  2000/02/04 18:23:01  pius
- updated wmmp3-home_etc.patch for use with $CONFIG_DIR variable
- cosmetics
- release 2

Revision 1.2  1999/12/10 20:05:11  pius
- updated to 0.11
- changed default path to mpg123 to /usr/bin/mpg123
- added support for ~/etc/wmmp3
- cosmetics

Revision 1.1  1999/10/31 12:28:56  pius
- initial release
